Package com.independentsoft.calc.engine

# Class CellSlot

java.lang.Object
com.independentsoft.calc.engine.CellSlot

public final class CellSlot extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Area`
  `arrayArea`
  `CellSlot`
  `arrayMaster`
  `AstNode`
  `ast`
  `CalcValue`
  `cachedValue`
  `Cell`
  `cell`
  `boolean`
  `circular`
  `int`
  `col`
  `String`
  `failDetail`
  `boolean`
  `failed`
  `CalcDiagnosticKind`
  `failKind`
  `boolean`
  `failReported`
  `String`
  `formulaText`
  `boolean`
  `hasFormula`
  `boolean`
  `hasSubtotal`
  `boolean`
  `isVolatile`
  `Cell`
  `odfCell`
  `boolean`
  `odfSharedCompressed`
  `boolean`
  `onStack`
  `boolean`
  `queued`
  `int`
  `row`
  `CellSlot`
  `sharedMaster`
  `SheetModel`
  `sheet`
  `SlotState`
  `state`
  `CalcValue`
  `value`
  `boolean`
  `volatileTransitive`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellSlot()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fail​(CalcDiagnosticKind kind, String detail)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### cell

    public Cell cell

  - ### odfCell

    public Cell odfCell

  - ### odfSharedCompressed

    public boolean odfSharedCompressed

  - ### sheet

    public SheetModel sheet

  - ### row

    public int row

  - ### col

    public int col

  - ### hasFormula

    public boolean hasFormula

  - ### formulaText

    public String formulaText

  - ### ast

    public AstNode ast

  - ### sharedMaster

    public CellSlot sharedMaster

  - ### arrayMaster

    public CellSlot arrayMaster

  - ### arrayArea

    public Area arrayArea

  - ### state

    public SlotState state

  - ### onStack

    public boolean onStack

  - ### queued

    public boolean queued

  - ### value

    public CalcValue value

  - ### cachedValue

    public CalcValue cachedValue

  - ### isVolatile

    public boolean isVolatile

  - ### volatileTransitive

    public boolean volatileTransitive

  - ### hasSubtotal

    public boolean hasSubtotal

  - ### circular

    public boolean circular

  - ### failed

    public boolean failed

  - ### failKind

    public CalcDiagnosticKind failKind

  - ### failDetail

    public String failDetail

  - ### failReported

    public boolean failReported

- ## Constructor Details

  - ### CellSlot

    public CellSlot()

- ## Method Details

  - ### fail

    public void fail​(CalcDiagnosticKind kind, String detail)